Bug 591273 - Most obvious button in Ristretto does non-obvious 'Open Folder' action
Most obvious button in Ristretto does non-obvious 'Open Folder' action
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ristretto (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 15:12 EDT by Adam Williamson
Modified: 2010-07-13 09:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.0.91-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 09:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2010-05-11 15:12:30 EDT
To reproduce:

Install F13 RC2 from the Xfce live CD
Boot
Take a screenshot with Print Screen, save to ~/Pictures with the default file name (default options)
Run Ristretto from the menus
Do File / Open and attempt to open the screenshot; for me, it's greyed out and unselectable

Note that opening a file manager in ~/Pictures, right-clicking the image, and selecting 'Open with...Ristretto' works fine.
Comment 1 Adam Williamson 2010-05-11 15:14:54 EDT
Update - I think I was actually clicking the obvious 'Open' button on the button bar that's invitingly blue when you run the app. This appears to do Open Folder, not Open. So this isn't strictly speaking a bug, though it seems a quite bizarre design. Most apps just conflate Open and Open Folder, for one thing, and Open Folder doesn't seem like it should be the obvious first-choice button?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Christoph Wickert 2010-07-04 14:00:21 EDT
(In reply to comment #1)
> Most apps just conflate Open and Open Folder, for one
> thing, and Open Folder doesn't seem like it should be the obvious first-choice
> button?

Is this a question or a statement? How would you conflate the two commands?

I agree it may not be obvious, especially as 'Open Folder' in the toolbar has the same icon as 'Open' (file) in the menu. However I think that 'Open folder' in the toolbar rather than 'Open' makes sense. Opening single files is usually done by clicking, e.g. in the filemanager while for browsing folders you need to start ristretto first.

Last but not least I think that usability questions should happen upstream in order to reach the developers and a wider audience.
Comment 3 Adam Williamson 2010-07-04 15:05:20 EDT
Sure, we can shift it upstream if you like.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Christoph Wickert 2010-07-04 18:23:47 EDT
Before I bring this up upstream I'd like to know how you suggest to conflate 'Open' and 'Open folder'. How is this supposed to work?
Comment 5 Adam Williamson 2010-07-06 20:05:16 EDT
I'm not necessarily suggesting details, that's not my area of expertise. I was simply reporting that, as a dumb end user, the experience on manually running the app for the first time was somewhat confusing to me. I'd suggest we move it upstream and see what their opinion is, and if they feel it's not something it's necessary to address, that's fine.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Christoph Wickert 2010-07-13 09:25:02 EDT
(In reply to comment #5)
> I'm not necessarily suggesting details, that's not my area of expertise. I was
> simply reporting that, as a dumb end user, the experience on manually running
> the app for the first time was somewhat confusing to me.

IMHO for usability questions there is no need for a special expertise, the dumb user you are speaking of is the expert and should also be able to suggest how to do it better.

This is fixed in 0.0.91, the pre-release of the upcoming 1.0. Ristretto now ha two buttons for "Open" and "Open Folder" and the icons in the toolbar and the menu are consistent.

Note You need to log in before you can comment on or make changes to this bug.